Bug 1657192 - augeas cannot parse /etc/sysconfig/anaconda
Summary: augeas cannot parse /etc/sysconfig/anaconda
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: augeas
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Libvirt Maintainers
QA Contact: YongkuiGuo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 11:58 UTC by Pino Toscano
Modified: 2019-06-14 02:01 UTC (History)
6 users (show)

Fixed In Version: augeas-1.10.1-7.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1657189
Environment:
Last Closed: 2019-06-14 02:01:34 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github hercules-team augeas pull 597 None None None 2018-12-07 11:58:30 UTC
Red Hat Bugzilla 1657189 None NEW augeas cannot parse /etc/sysconfig/anaconda 2018-12-17 09:13:15 UTC

Internal Links: 1657189

Description Pino Toscano 2018-12-07 11:58:31 UTC
+++ This bug was initially created as a clone of Bug #1657189 +++

Description of problem:
augeas cannot parse the Anaconda user interaction configuration file /etc/sysconfig/anaconda.

Version-Release number of selected component (if applicable):
augeas-libs-1.10.1-6.el8.x86_64
augeas-1.10.1-6.el8.x86_64

Steps to Reproduce:
1. install RHEL using Anaconda (manual or automated installation)
2. check that /etc/sysconfig/anaconda is present in the system
3. augtool print /augeas//error | grep anaconda
4. augtool print /files/etc/sysconfig/anaconda/

Actual results:
- step #3 prints (error position depends on the actual file):
/augeas/files/etc/sysconfig/anaconda/error = "parse_failed"
/augeas/files/etc/sysconfig/anaconda/error/pos = "73"
/augeas/files/etc/sysconfig/anaconda/error/line = "3"
/augeas/files/etc/sysconfig/anaconda/error/char = "0"
/augeas/files/etc/sysconfig/anaconda/error/lens = "/usr/share/augeas/lenses/dist/shellvars.aug:194.12-.60:"
/augeas/files/etc/sysconfig/anaconda/error/message = "Syntax error"
- step #4 prints nothing

Expected results:
- step #3 prints nothing
- step #4 prints the parsed tree, for example:
/files/etc/sysconfig/anaconda
/files/etc/sysconfig/anaconda/#comment = "This file has been generated by the Anaconda Installer 21.48.22.147-1"
/files/etc/sysconfig/anaconda/ProgressSpoke
/files/etc/sysconfig/anaconda/ProgressSpoke/visited = "1"

Comment 2 YongkuiGuo 2018-12-13 01:46:30 UTC
Verified with package:
augeas-1.10.1-7.el8.x86_64

Steps:

1. 
# augtool print /files/etc/sysconfig/anaconda/
/files/etc/sysconfig/anaconda
/files/etc/sysconfig/anaconda/#comment = "This file has been generated by the Anaconda Installer 29.19.0.23"
/files/etc/sysconfig/anaconda/General
/files/etc/sysconfig/anaconda/General/post_install_tools_disabled = "1"

2.
# augtool print /augeas//error | grep anaconda
The command above prints nothing.

So verified it.


Note You need to log in before you can comment on or make changes to this bug.